JobHistory.Values (Hadoop 0.20.1+169.88 API)
Date: 2010-05-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapred
Enum JobHistory.Values

    java.lang.Object
      java.lang.Enum<JobHistory.Values>
          org.apache.hadoop.mapred.JobHistory.Values

All Implemented Interfaces:
  Serializable, Comparable<JobHistory.Values>

Enclosing class:
  JobHistory

    public static enum JobHistory.Values

extends Enum<JobHistory.Values>

This enum contains some of the values commonly used by history log events. since values in history can only be strings - Values.name() is used in most places in history file.

Enum Constant Summary
`CLEANUP`
`FAILED`
`KILLED`
`MAP`
`PREP`
`REDUCE`
`RUNNING`
`SETUP`
`SUCCESS`

Method Summary
`static JobHistory.Values` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobHistory.Values[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUCCESS

    public static final JobHistory.Values SUCCESS

### FAILED

    public static final JobHistory.Values FAILED

### KILLED

    public static final JobHistory.Values KILLED

### MAP

    public static final JobHistory.Values MAP

### REDUCE

    public static final JobHistory.Values REDUCE

### CLEANUP

    public static final JobHistory.Values CLEANUP

### RUNNING

    public static final JobHistory.Values RUNNING

### PREP

    public static final JobHistory.Values PREP

### SETUP

    public static final JobHistory.Values SETUP

Method Detail

### values

    public static JobHistory.Values[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JobHistory.Values c : JobHistory.Values.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JobHistory.Values valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation